You are viewing documentation for version 3 of the AWS SDK for Ruby. Version 2 documentation can be found here.

Class: Aws::SSM::Errors::InvalidPolicyAttributeException

Inherits:
ServiceError
  • Object
show all
Defined in:
gems/aws-sdk-ssm/lib/aws-sdk-ssm/errors.rb

Instance Method Summary collapse

Constructor Details

#initialize(context, message, data = Aws::EmptyStructure.new) ⇒ InvalidPolicyAttributeException

Returns a new instance of InvalidPolicyAttributeException

Parameters:



903
904
905
# File 'gems/aws-sdk-ssm/lib/aws-sdk-ssm/errors.rb', line 903

def initialize(context, message, data = Aws::EmptyStructure.new)
  super(context, message, data)
end

Instance Method Details

#messageString

Returns:

  • (String)


908
909
910
# File 'gems/aws-sdk-ssm/lib/aws-sdk-ssm/errors.rb', line 908

def message
  @message || @data[:message]
end